#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "robotmtl.inc"

/* Camera: Camera01 */
camera {
   location <1072.8390 -1504.5500 1272.3879>
   direction <0 1.331 0>
   up <0 0 1>
   sky  <0 0 1>
   right <1.333 0 0>
   look_at <-6.1602 -28.6256 -27.2782>
}

/* Light: Light01 */
object {
    light_source { <941.5319 -781.3810 843.9290> color red 0.55 green 0.55 blue 0.55 }
}

/* Spotlight: Light02 */
object {
    light_source {
        <-328.1903 -1018.4644 1591.2814> color red 1.00 green 1.00 blue 1.00
        spotlight
        point_at <718.3583 -64.5307 -226.2386>
        tightness 0
        radius 0.50
        falloff 12.00
    }
}

#declare Default = texture {
    ambient 0.1
    diffuse 0.7
    phong 1.0
    phong_size 70.0
    color White
}

//   Object    CenterX    CenterY    CenterZ    LengthX    LengthY    LengthZ
// ---------- ---------- ---------- ---------- ---------- ---------- ----------
// Base           -15.13      76.18     -49.71     300.00     300.00     550.00
// V_Shaft        -15.00      76.44      95.00      50.00      50.00     572.88
// Hinge          -20.00      80.00     435.00     160.00     100.00     110.00
// H_Arm          -20.00     -50.00     470.00      80.00     659.20      80.00
// H_Shaft        -20.63    -387.10     470.60      50.00     572.88      50.00
// Hand           -20.00    -730.00     475.00     160.00     110.00     100.00
// Box            -19.98    -749.67    -227.95      79.01      86.54     204.24
// Floor           -2.10   -1514.86    -339.09   25724.66   23600.61       0.00

composite {  /* All Objects */
    #include "robot.inc"

    bounded_by {
        box { <-12864.4277 -13315.1680 -357.2777> <12860.2363 10285.4434 626.1711> }
    }
}

